# The naming scheme in non-Mandriva-based distros
%if 0%{!?mklibname:1}
%define mklibname(ds)  lib%{1}%{?2:%{2}}%{-s:-static}%{-d:-devel}
%endif

%if 0%{!?mkrel:1}
%define mkrel(c) %{1}%{?dist}
%endif

Name:           hwdata
Summary:        Hardware identification and configuration data
Version:        0.394
Release:        %mkrel 1
License:        GPLv2+
Group:          System/Base
URL:            https://github.com/vcrhonek/hwdata
Source:         https://github.com/vcrhonek/hwdata/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  make

# add a virtual provides because ldetect-lst provides also hwdata
# thus prevent to install automatically this pkg
Provides:       hwids = %{version}-%{release}

%description
hwdata contains various hardware identification and configuration data,
such as the pci.ids and usb.ids databases.

%prep
%setup -q

%build
%configure
# nothing to build

%install
%make_install libdir=%{_prefix}/lib

%files
%license LICENSE COPYING
%dir %{_datadir}/%{name}
%{_prefix}/lib/modprobe.d/dist-blacklist.conf
%{_datadir}/%{name}/*

#--------------------------------------------------------------------

%package devel
Summary:        Devel stuff for %name
Group:          System/Base
Requires:       hwids          = %{version}-%{release}
Provides:       lib%name-devel = %{version}-%{release}
# as of noarch pkg
Obsoletes:      %{mklibname %name} < 0.366-1

%description devel
This package contains header files needed if you wish to build applications
based on %name.

%files devel
%{_datadir}/pkgconfig/hwdata.pc

#--------------------------------------------------------------------
